.c-links-cloud {
  padding: 4rem 2rem;

  @include sm {
    padding: 5rem 3rem;
  }

  @include md {
    padding: 7rem 3rem;
  }

  @include lg {
    padding: 10rem 5rem;
  }

  &__container {
    display: flex;
    flex-flow: row wrap;
    gap: 1rem 3rem;
    width: 100%;
    margin: 0 auto;
    position: relative;

    @include lg {
      max-width: 113rem;
    }
  }

  &__item {
    display: block;
    position: relative;
    color: rgba($blue, 0.3);
    font-weight: 300;
    text-decoration: none;
    cursor: pointer;
    transition: all 0.3s ease-in-out;

    &::before {
      content: '';
      display: block;
      position: absolute;
      left: 0;
      bottom: 0.5rem;
      width: 100%;
      height: 0;
      background-color: $blue;
      transition: all 0.2s ease-in-out;
    }

    &:hover {
      color: $blue;

      &::before {
        height: 0.2rem;
      }
    }

    &__visual {
      display: none;
      z-index: 9;
      pointer-events: none;

      @include md {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 16rem;
        height: 11.5rem;
        padding: 2rem 3rem;
        background-color: $white;
        border: 0.1rem solid $blue;
        border-radius: 0.5rem;
        opacity: 0;
        position: absolute;
        user-select: none;
        transform: translate(1rem, 1rem);
        transition: opacity 0.2s ease, 0.6s ease-in-out transform;
      }

      &__img {
        width: auto;
        height: auto;
        max-width: 12rem;
        max-height: 10rem;
      }
    }

    &--active {
      .c-links-cloud__item__visual {
        opacity: 1;
      }
    }
  }
}